#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSCustomPropertyRegisteredEvent = 908,
  CSSFontFaceRule = 941,
  CSSFontFeatureValuesRule = 957,
  CSSFontPaletteValuesRule = 982,
  CSSGroupingRule = 1007,
  CSSImportRule = 1023,
  CSSKeyframeRule = 1037,
  CSSKeyframesRule = 1053,
  CSSLayerBlockRule = 1070,
  CSSLayerStatementRule = 1088,
  CSSMediaRule = 1110,
  CSSMozDocumentRule = 1123,
  CSSNamespaceRule = 1142,
  CSSPageRule = 1159,
  CSSPropertyRule = 1171,
  CSSPseudoElement = 1187,
  CSSRule = 1204,
  CSSRuleList = 1212,
  CSSStyleDeclaration = 1224,
  CSSStyleRule = 1244,
  CSSStyleSheet = 1257,
  CSSSupportsRule = 1271,
  CSSTransition = 1287,
  Cache = 1301,
  CacheStorage = 1307,
  CallbackDebuggerNotification = 1320,
  CanonicalBrowsingContext = 1349,
  CanvasCaptureMediaStream = 1374,
  CanvasGradient = 1399,
  CanvasPattern = 1414,
  CanvasRenderingContext2D = 1428,
  CaretPosition = 1453,
  CaretStateChangedEvent = 1467,
  ChannelMergerNode = 1490,
  ChannelSplitterNode = 1508,
  ChannelWrapper = 1528,
  CharacterData = 1543,
  CheckerboardReportService = 1557,
  ChildProcessMessageManager = 1583,
  ChildSHistory = 1610,
  ChromeMessageBroadcaster = 1624,
  ChromeMessageSender = 1649,
  ChromeNodeList = 1669,
  ChromeUtils = 1684,
  ChromeWorker = 1696,
  Client = 1709,
  Clients = 1716,
  Clipboard = 1724,
  ClipboardEvent = 1734,
  ClipboardItem = 1749,
  ClonedErrorHolder = 1763,
  CloseEvent = 1781,
  CommandEvent = 1792,
  Comment = 1805,
  CompositionEvent = 1813,
  CompressionStream = 1830,
  ConsoleInstance = 1848,
  ConstantSourceNode = 1864,
  ContentFrameMessageManager = 1883,
  ContentProcessMessageManager = 1910,
  ContentVisibilityAutoStateChangeEvent = 1939,
  ConvolverNode = 1977,
  CountQueuingStrategy = 1991,
  CreateOfferRequest = 2012,
  Credential = 2031,
  CredentialsContainer = 2042,
  Crypto = 2063,
  CryptoKey = 2070,
  CustomElementRegistry = 2080,
  CustomEvent = 2102,
  CustomStateSet = 2114,
  DOMException = 2129,
  DOMImplementation = 2142,
  DOMLocalization = 2160,
  DOMMatrix = 2176,
  DOMMatrixReadOnly = 2186,
  DOMParser = 2204,
  DOMPoint = 2214,
  DOMPointReadOnly = 2223,
  DOMQuad = 2240,
  DOMRect = 2248,
  DOMRectList = 2256,
  DOMRectReadOnly = 2268,
  DOMRequest = 2284,
  DOMStringList = 2295,
  DOMStringMap = 2309,
  DOMTokenList = 2322,
  DataTransfer = 2335,
  DataTransferItem = 2348,
  DataTransferItemList = 2365,
  DebuggerNotification = 2386,
  DebuggerNotificationObserver = 2407,
  DecompressionStream = 2436,
  DedicatedWorkerGlobalScope = 2456,
  DelayNode = 2483,
  DeprecationReportBody = 2493,
  DeviceAcceleration = 2515,
  DeviceLightEvent = 2534,
  DeviceMotionEvent = 2551,
  DeviceOrientationEvent = 2569,
  DeviceRotationRate = 2592,
  Directory = 2611,
  Document = 2621,
  DocumentFragment = 2630,
  DocumentL10n = 2647,
  DocumentTimeline = 2660,
  DocumentType = 2677,
  DominatorTree = 2690,
  DragEvent = 2704,
  DynamicsCompressorNode = 2714,
  EXT_blend_minmax = 2737,
  EXT_color_buffer_float = 2754,
  EXT_color_buffer_half_float = 2777,
  EXT_disjoint_timer_query = 2805,
  EXT_float_blend = 2830,
  EXT_frag_depth = 2846,
  EXT_sRGB = 2861,
  EXT_shader_texture_lod = 2870,
  EXT_texture_compression_bptc = 2893,
  EXT_texture_compression_rgtc = 2922,
  EXT_texture_filter_anisotropic = 2951,
  EXT_texture_norm16 = 2982,
  Element = 3001,
  ElementInternals = 3009,
  EncodedVideoChunk = 3026,
  ErrorEvent = 3044,
  Event = 3055,
  EventCallbackDebuggerNotification = 3061,
  EventCounts = 3095,
  EventSource = 3107,
  EventTarget = 3119,
  Exception = 3131,
  ExtendableEvent = 3141,
  ExtendableMessageEvent = 3157,
  ExtensionAlarms = 3180,
  ExtensionBrowser = 3196,
  ExtensionBrowserSettings = 3213,
  ExtensionBrowserSettingsColorManagement = 3238,
  ExtensionDns = 3278,
  ExtensionEventManager = 3291,
  ExtensionMockAPI = 3313,
  ExtensionPort = 3330,
  ExtensionProxy = 3344,
  ExtensionRuntime = 3359,
  ExtensionScripting = 3376,
  ExtensionSetting = 3395,
  ExtensionTest = 3412,
  External = 3426,
  FeaturePolicy = 3435,
  FeaturePolicyViolationReportBody = 3449,
  FetchEvent = 3482,
  FetchObserver = 3493,
  File = 3507,
  FileList = 3512,
  FileReader = 3521,
  FileReaderSync = 3532,
  FileSystem = 3547,
  FileSystemDirectoryEntry = 3558,
  FileSystemDirectoryHandle = 3583,
  FileSystemDirectoryHandle_AsyncIterator = 3609,
  FileSystemDirectoryIterator = 3649,
  FileSystemDirectoryReader = 3677,
  FileSystemEntry = 3703,
  FileSystemFileEntry = 3719,
  FileSystemFileHandle = 3739,
  FileSystemHandle = 3760,
  FileSystemSyncAccessHandle = 3777,
  FileSystemWritableFileStream = 3804,
  Flex = 3833,
  FlexItemValues = 3838,
  FlexLineValues = 3853,
  FluentBundle = 3868,
  FluentBundleAsyncIterator = 3881,
  FluentBundleIterator = 3907,
  FluentPattern = 3928,
  FluentResource = 3942,
  FocusEvent = 3957,
  FontFace = 3968,
  FontFaceSet = 3977,
  FontFaceSetIterator = 3989,
  FontFaceSetLoadEvent = 4009,
  FormData = 4030,
  FormData_Iterator = 4039,
  FormDataEvent = 4057,
  FrameCrashedEvent = 4071,
  FrameLoader = 4089,
  GPU = 4101,
  GPUAdapter = 4105,
  GPUAdapterInfo = 4116,
  GPUBindGroup = 4131,
  GPUBindGroupLayout = 4144,
  GPUBuffer = 4163,
  GPUBufferUsage = 4173,
  GPUCanvasContext = 4188,
  GPUColorWrite = 4205,
  GPUCommandBuffer = 4219,
  GPUCommandEncoder = 4236,
  GPUCompilationInfo = 4254,
  GPUCompilationMessage = 4273,
  GPUComputePassEncoder = 4295,
  GPUComputePipeline = 4317,
  GPUDevice = 4336,
  GPUDeviceLostInfo = 4346,
  GPUError = 4364,
  GPUInternalError = 4373,
  GPUMapMode = 4390,
  GPUOutOfMemoryError = 4401,
  GPUPipelineLayout = 4421,
  GPUQuerySet = 4439,
  GPUQueue = 4451,
  GPURenderBundle = 4460,
  GPURenderBundleEncoder = 4476,
  GPURenderPassEncoder = 4499,
  GPURenderPipeline = 4520,
  GPUSampler = 4538,
  GPUShaderModule = 4549,
  GPUShaderStage = 4565,
  GPUSupportedFeatures = 4580,
  GPUSupportedLimits = 4601,
  GPUTexture = 4620,
  GPUTextureUsage = 4631,
  GPUTextureView = 4647,
  GPUUncapturedErrorEvent = 4662,
  GPUValidationError = 4686,
  GainNode = 4705,
  Gamepad = 4714,
  GamepadAxisMoveEvent = 4722,
  GamepadButton = 4743,
  GamepadButtonEvent = 4757,
  GamepadEvent = 4776,
  GamepadHapticActuator = 4789,
  GamepadLightIndicator = 4811,
  GamepadPose = 4833,
  GamepadServiceTest = 4845,
  GamepadTouch = 4864,
  Geolocation = 4877,
  GeolocationCoordinates = 4889,
  GeolocationPosition = 4912,
  GeolocationPositionError = 4932,
  GetUserMediaRequest = 4957,
  GleanBoolean = 4977,
  GleanCategory = 4990,
  GleanCounter = 5004,
  GleanCustomDistribution = 5017,
  GleanDatetime = 5041,
  GleanDenominator = 5055,
  GleanEvent = 5072,
  GleanImpl = 5083,
  GleanLabeled = 5093,
  GleanMemoryDistribution = 5106,
  GleanMetric = 5130,
  GleanNumerator = 5142,
  GleanPingsImpl = 5157,
  GleanQuantity = 5172,
  GleanRate = 5186,
  GleanString = 5196,
  GleanStringList = 5208,
  GleanText = 5224,
  GleanTimespan = 5234,
  GleanTimingDistribution = 5248,
  GleanUrl = 5272,
  GleanUuid = 5281,
  Grid = 5291,
  GridArea = 5296,
  GridDimension = 5305,
  GridLine = 5319,
  GridLines = 5328,
  GridTrack = 5338,
  GridTracks = 5348,
  HTMLAllCollection = 5359,
  HTMLAnchorElement = 5377,
  HTMLAreaElement = 5395,
  HTMLAudioElement = 5411,
  HTMLBRElement = 5428,
  HTMLBaseElement = 5442,
  HTMLBodyElement = 5458,
  HTMLButtonElement = 5474,
  HTMLCanvasElement = 5492,
  HTMLCollection = 5510,
  HTMLDListElement = 5525,
  HTMLDataElement = 5542,
  HTMLDataListElement = 5558,
  HTMLDetailsElement = 5578,
  HTMLDialogElement = 5597,
  HTMLDirectoryElement = 5615,
  HTMLDivElement = 5636,
  HTMLDocument = 5651,
  HTMLElement = 5664,
  HTMLEmbedElement = 5676,
  HTMLFieldSetElement = 5693,
  HTMLFontElement = 5713,
  HTMLFormControlsCollection = 5729,
  HTMLFormElement = 5756,
  HTMLFrameElement = 5772,
  HTMLFrameSetElement = 5789,
  HTMLHRElement = 5809,
  HTMLHeadElement = 5823,
  HTMLHeadingElement = 5839,
  HTMLHtmlElement = 5858,
  HTMLIFrameElement = 5874,
  HTMLImageElement = 5892,
  HTMLInputElement = 5909,
  HTMLLIElement = 5926,
  HTMLLabelElement = 5940,
  HTMLLegendElement = 5957,
  HTMLLinkElement = 5975,
  HTMLMapElement = 5991,
  HTMLMarqueeElement = 6006,
  HTMLMediaElement = 6025,
  HTMLMenuElement = 6042,
  HTMLMetaElement = 6058,
  HTMLMeterElement = 6074,
  HTMLModElement = 6091,
  HTMLOListElement = 6106,
  HTMLObjectElement = 6123,
  HTMLOptGroupElement = 6141,
  HTMLOptionElement = 6161,
  HTMLOptionsCollection = 6179,
  HTMLOutputElement = 6201,
  HTMLParagraphElement = 6219,
  HTMLParamElement = 6240,
  HTMLPictureElement = 6257,
  HTMLPreElement = 6276,
  HTMLProgressElement = 6291,
  HTMLQuoteElement = 6311,
  HTMLScriptElement = 6328,
  HTMLSelectElement = 6346,
  HTMLSlotElement = 6364,
  HTMLSourceElement = 6380,
  HTMLSpanElement = 6398,
  HTMLStyleElement = 6414,
  HTMLTableCaptionElement = 6431,
  HTMLTableCellElement = 6455,
  HTMLTableColElement = 6476,
  HTMLTableElement = 6496,
  HTMLTableRowElement = 6513,
  HTMLTableSectionElement = 6533,
  HTMLTemplateElement = 6557,
  HTMLTextAreaElement = 6577,
  HTMLTimeElement = 6597,
  HTMLTitleElement = 6613,
  HTMLTrackElement = 6630,
  HTMLUListElement = 6647,
  HTMLUnknownElement = 6664,
  HTMLVideoElement = 6683,
  HashChangeEvent = 6700,
  Headers = 6716,
  Headers_Iterator = 6724,
  HeapSnapshot = 6741,
  Highlight = 6754,
  HighlightRegistry = 6764,
  History = 6782,
  IDBCursor = 6790,
  IDBCursorWithValue = 6800,
  IDBDatabase = 6819,
  IDBFactory = 6831,
  IDBIndex = 6842,
  IDBKeyRange = 6851,
  IDBObjectStore = 6863,
  IDBOpenDBRequest = 6878,
  IDBRequest = 6895,
  IDBTransaction = 6906,
  IDBVersionChangeEvent = 6921,
  IIRFilterNode = 6943,
  IOUtils = 6957,
  IdentityCredential = 6965,
  IdleDeadline = 6984,
  Image = 6997,
  ImageBitmap = 7003,
  ImageBitmapRenderingContext = 7015,
  ImageCapture = 7043,
  ImageCaptureError = 7056,
  ImageCaptureErrorEvent = 7074,
  ImageData = 7097,
  ImageDocument = 7107,
  InputEvent = 7121,
  InspectorFontFace = 7132,
  InspectorUtils = 7150,
  InstallTriggerImpl = 7165,
  IntersectionObserver = 7184,
  IntersectionObserverEntry = 7205,
  IntlUtils = 7231,
  InvokeEvent = 7241,
  JSProcessActorChild = 7253,
  JSProcessActorParent = 7273,
  JSWindowActorChild = 7294,
  JSWindowActorParent = 7313,
  KeyEvent = 7333,
  KeyboardEvent = 7342,
  KeyframeEffect = 7356,
  L10nFileSource = 7371,
  L10nOverlays = 7386,
  L10nRegistry = 7399,
  LargestContentfulPaint = 7412,
  LegacyMozTCPSocket = 7435,
  Localization = 7454,
  Location = 7467,
  Lock = 7476,
  LockManager = 7481,
  MIDIAccess = 7493,
  MIDIConnectionEvent = 7504,
  MIDIInput = 7524,
  MIDIInputMap = 7534,
  MIDIMessageEvent = 7547,
  MIDIOutput = 7564,
  MIDIOutputMap = 7575,
  MIDIPort = 7589,
  MOZ_debug = 7598,
  MatchGlob = 7608,
  MatchPattern = 7618,
  MatchPatternSet = 7631,
  MathMLElement = 7647,
  MediaCapabilities = 7661,
  MediaCapabilitiesInfo = 7679,
  MediaControlService = 7701,
  MediaController = 7721,
  MediaDeviceInfo = 7737,
  MediaDevices = 7753,
  MediaElementAudioSourceNode = 7766,
  MediaEncryptedEvent = 7794,
  MediaError = 7814,
  MediaKeyError = 7825,
  MediaKeyMessageEvent = 7839,
  MediaKeySession = 7860,
  MediaKeyStatusMap = 7876,
  MediaKeyStatusMap_Iterator = 7894,
  MediaKeySystemAccess = 7921,
  MediaKeys = 7942,
  MediaList = 7952,
  MediaMetadata = 7962,
  MediaQueryList = 7976,
  MediaQueryListEvent = 7991,
  MediaRecorder = 8011,
  MediaRecorderErrorEvent = 8025,
  MediaSession = 8049,
  MediaSource = 8062,
  MediaStream = 8074,
  MediaStreamAudioDestinationNode = 8086,
  MediaStreamAudioSourceNode = 8118,
  MediaStreamError = 8145,
  MediaStreamEvent = 8162,
  MediaStreamTrack = 8179,
  MediaStreamTrackAudioSourceNode = 8196,
  MediaStreamTrackEvent = 8228,
  MerchantValidationEvent = 8250,
  MessageBroadcaster = 8274,
  MessageChannel = 8293,
  MessageEvent = 8308,
  MessageListenerManager = 8321,
  MessagePort = 8344,
  MessageSender = 8356,
  MimeType = 8370,
  MimeTypeArray = 8379,
  MouseEvent = 8393,
  MouseScrollEvent = 8404,
  MozCanvasPrintState = 8421,
  MozDocumentMatcher = 8441,
  MozDocumentObserver = 8460,
  MozQueryInterface = 8480,
  MozSharedMap = 8498,
  MozSharedMap_Iterator = 8511,
  MozSharedMapChangeEvent = 8533,
  MozStorageAsyncStatementParams = 8557,
  MozStorageStatementParams = 8588,
  MozStorageStatementRow = 8614,
  MozWritableSharedMap = 8637,
  MutationEvent = 8658,
  MutationObserver = 8672,
  MutationRecord = 8689,
  NamedNodeMap = 8704,
  NavigationPreloadManager = 8717,
  Navigator = 8742,
  NetworkInformation = 8752,
  Node = 8771,
  NodeFilter = 8776,
  NodeIterator = 8787,
  NodeList = 8800,
  Notification = 8809,
  NotificationEvent = 8822,
  NotifyPaintEvent = 8840,
  OES_draw_buffers_indexed = 8857,
  OES_element_index_uint = 8882,
  OES_fbo_render_mipmap = 8905,
  OES_standard_derivatives = 8927,
  OES_texture_float = 8952,
  OES_texture_float_linear = 8970,
  OES_texture_half_float = 8995,
  OES_texture_half_float_linear = 9018,
  OES_vertex_array_object = 9048,
  OVR_multiview2 = 9072,
  OfflineAudioCompletionEvent = 9087,
  OfflineAudioContext = 9115,
  OffscreenCanvas = 9135,
  OffscreenCanvasRenderingContext2D = 9151,
  Option = 9185,
  OscillatorNode = 9192,
  PageTransitionEvent = 9207,
  PaintRequest = 9227,
  PaintRequestList = 9240,
  PaintWorkletGlobalScope = 9257,
  PannerNode = 9281,
  ParentProcessMessageManager = 9292,
  Path2D = 9320,
  PathUtils = 9327,
  PaymentAddress = 9337,
  PaymentMethodChangeEvent = 9352,
  PaymentRequest = 9377,
  PaymentRequestUpdateEvent = 9392,
  PaymentResponse = 9418,
  PeerConnectionImpl = 9434,
  PeerConnectionObserver = 9453,
  Performance = 9476,
  PerformanceEntry = 9488,
  PerformanceEntryEvent = 9505,
  PerformanceEventTiming = 9527,
  PerformanceMark = 9550,
  PerformanceMeasure = 9566,
  PerformanceNavigation = 9585,
  PerformanceNavigationTiming = 9607,
  PerformanceObserver = 9635,
  PerformanceObserverEntryList = 9655,
  PerformancePaintTiming = 9684,
  PerformanceResourceTiming = 9707,
  PerformanceServerTiming = 9733,
  PerformanceTiming = 9757,
  PeriodicWave = 9775,
  PermissionStatus = 9788,
  Permissions = 9805,
  PlacesBookmark = 9817,
  PlacesBookmarkAddition = 9832,
  PlacesBookmarkChanged = 9855,
  PlacesBookmarkGuid = 9877,
  PlacesBookmarkKeyword = 9896,
  PlacesBookmarkMoved = 9918,
  PlacesBookmarkRemoved = 9938,
  PlacesBookmarkTags = 9960,
  PlacesBookmarkTime = 9979,
  PlacesBookmarkTitle = 9998,
  PlacesBookmarkUrl = 10018,
  PlacesEvent = 10036,
  PlacesFavicon = 10048,
  PlacesHistoryCleared = 10062,
  PlacesObservers = 10083,
  PlacesPurgeCaches = 10099,
  PlacesRanking = 10117,
  PlacesVisit = 10131,
  PlacesVisitRemoved = 10143,
  PlacesVisitTitle = 10162,
  PlacesWeakCallbackWrapper = 10179,
  Plugin = 10205,
  PluginArray = 10212,
  PluginCrashedEvent = 10224,
  PointerEvent = 10243,
  PopStateEvent = 10256,
  PopupBlockedEvent = 10270,
  PopupPositionedEvent = 10288,
  PositionStateEvent = 10309,
  PrecompiledScript = 10328,
  ProcessMessageManager = 10346,
  ProcessingInstruction = 10368,
  ProgressEvent = 10390,
  PromiseDebugging = 10404,
  PromiseNativeHandler = 10421,
  PromiseRejectionEvent = 10442,
  PublicKeyCredential = 10464,
  PushEvent = 10484,
  PushManager = 10494,
  PushManagerImpl = 10506,
  PushMessageData = 10522,
  PushSubscription = 10538,
  PushSubscriptionOptions = 10555,
  RTCCertificate = 10579,
  RTCDTMFSender = 10594,
  RTCDTMFToneChangeEvent = 10608,
  RTCDataChannel = 10631,
  RTCDataChannelEvent = 10646,
  RTCDtlsTransport = 10666,
  RTCEncodedAudioFrame = 10683,
  RTCEncodedVideoFrame = 10704,
  RTCIceCandidate = 10725,
  RTCIdentityProviderRegistrar = 10741,
  RTCPeerConnection = 10770,
  RTCPeerConnectionIceEvent = 10788,
  RTCPeerConnectionStatic = 10814,
  RTCRtpReceiver = 10838,
  RTCRtpScriptTransform = 10853,
  RTCRtpScriptTransformer = 10875,
  RTCRtpSender = 10899,
  RTCRtpTransceiver = 10912,
  RTCSctpTransport = 10930,
  RTCSessionDescription = 10947,
  RTCStatsReport = 10969,
  RTCTrackEvent = 10984,
  RTCTransformEvent = 10998,
  RadioNodeList = 11016,
  Range = 11030,
  ReadableByteStreamController = 11036,
  ReadableStream = 11065,
  ReadableStream_AsyncIterator = 11080,
  ReadableStreamBYOBReader = 11109,
  ReadableStreamBYOBRequest = 11134,
  ReadableStreamDefaultController = 11160,
  ReadableStreamDefaultReader = 11192,
  Report = 11220,
  ReportBody = 11227,
  ReportingObserver = 11238,
  Request = 11256,
  ResizeObserver = 11264,
  ResizeObserverEntry = 11279,
  ResizeObserverSize = 11299,
  Response = 11318,
  SVGAElement = 11327,
  SVGAngle = 11339,
  SVGAnimateElement = 11348,
  SVGAnimateMotionElement = 11366,
  SVGAnimateTransformElement = 11390,
  SVGAnimatedAngle = 11417,
  SVGAnimatedBoolean = 11434,
  SVGAnimatedEnumeration = 11453,
  SVGAnimatedInteger = 11476,
  SVGAnimatedLength = 11495,
  SVGAnimatedLengthList = 11513,
  SVGAnimatedNumber = 11535,
  SVGAnimatedNumberList = 11553,
  SVGAnimatedPreserveAspectRatio = 11575,
  SVGAnimatedRect = 11606,
  SVGAnimatedString = 11622,
  SVGAnimatedTransformList = 11640,
  SVGAnimationElement = 11665,
  SVGCircleElement = 11685,
  SVGClipPathElement = 11702,
  SVGComponentTransferFunctionElement = 11721,
  SVGDefsElement = 11757,
  SVGDescElement = 11772,
  SVGElement = 11787,
  SVGEllipseElement = 11798,
  SVGFEBlendElement = 11816,
  SVGFEColorMatrixElement = 11834,
  SVGFEComponentTransferElement = 11858,
  SVGFECompositeElement = 11888,
  SVGFEConvolveMatrixElement = 11910,
  SVGFEDiffuseLightingElement = 11937,
  SVGFEDisplacementMapElement = 11965,
  SVGFEDistantLightElement = 11993,
  SVGFEDropShadowElement = 12018,
  SVGFEFloodElement = 12041,
  SVGFEFuncAElement = 12059,
  SVGFEFuncBElement = 12077,
  SVGFEFuncGElement = 12095,
  SVGFEFuncRElement = 12113,
  SVGFEGaussianBlurElement = 12131,
  SVGFEImageElement = 12156,
  SVGFEMergeElement = 12174,
  SVGFEMergeNodeElement = 12192,
  SVGFEMorphologyElement = 12214,
  SVGFEOffsetElement = 12237,
  SVGFEPointLightElement = 12256,
  SVGFESpecularLightingElement = 12279,
  SVGFESpotLightElement = 12308,
  SVGFETileElement = 12330,
  SVGFETurbulenceElement = 12347,
  SVGFilterElement = 12370,
  SVGForeignObjectElement = 12387,
  SVGGElement = 12411,
  SVGGeometryElement = 12423,
  SVGGradientElement = 12442,
  SVGGraphicsElement = 12461,
  SVGImageElement = 12480,
  SVGLength = 12496,
  SVGLengthList = 12506,
  SVGLineElement = 12520,
  SVGLinearGradientElement = 12535,
  SVGMPathElement = 12560,
  SVGMarkerElement = 12576,
  SVGMaskElement = 12593,
  SVGMatrix = 12608,
  SVGMetadataElement = 12618,
  SVGNumber = 12637,
  SVGNumberList = 12647,
  SVGPathElement = 12661,
  SVGPathSeg = 12676,
  SVGPathSegArcAbs = 12687,
  SVGPathSegArcRel = 12704,
  SVGPathSegClosePath = 12721,
  SVGPathSegCurvetoCubicAbs = 12741,
  SVGPathSegCurvetoCubicRel = 12767,
  SVGPathSegCurvetoCubicSmoothAbs = 12793,
  SVGPathSegCurvetoCubicSmoothRel = 12825,
  SVGPathSegCurvetoQuadraticAbs = 12857,
  SVGPathSegCurvetoQuadraticRel = 12887,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12917,
  SVGPathSegCurvetoQuadraticSmoothRel = 12953,
  SVGPathSegLinetoAbs = 12989,
  SVGPathSegLinetoHorizontalAbs = 13009,
  SVGPathSegLinetoHorizontalRel = 13039,
  SVGPathSegLinetoRel = 13069,
  SVGPathSegLinetoVerticalAbs = 13089,
  SVGPathSegLinetoVerticalRel = 13117,
  SVGPathSegList = 13145,
  SVGPathSegMovetoAbs = 13160,
  SVGPathSegMovetoRel = 13180,
  SVGPatternElement = 13200,
  SVGPoint = 13218,
  SVGPointList = 13227,
  SVGPolygonElement = 13240,
  SVGPolylineElement = 13258,
  SVGPreserveAspectRatio = 13277,
  SVGRadialGradientElement = 13300,
  SVGRect = 13325,
  SVGRectElement = 13333,
  SVGSVGElement = 13348,
  SVGScriptElement = 13362,
  SVGSetElement = 13379,
  SVGStopElement = 13393,
  SVGStringList = 13408,
  SVGStyleElement = 13422,
  SVGSwitchElement = 13438,
  SVGSymbolElement = 13455,
  SVGTSpanElement = 13472,
  SVGTextContentElement = 13488,
  SVGTextElement = 13510,
  SVGTextPathElement = 13525,
  SVGTextPositioningElement = 13544,
  SVGTitleElement = 13570,
  SVGTransform = 13586,
  SVGTransformList = 13599,
  SVGUnitTypes = 13616,
  SVGUseElement = 13629,
  SVGViewElement = 13643,
  Sanitizer = 13658,
  Scheduler = 13668,
  Screen = 13678,
  ScreenLuminance = 13685,
  ScreenOrientation = 13701,
  ScriptProcessorNode = 13719,
  ScrollAreaEvent = 13739,
  ScrollViewChangeEvent = 13755,
  SecurityPolicyViolationEvent = 13777,
  Selection = 13806,
  ServiceWorker = 13816,
  ServiceWorkerContainer = 13830,
  ServiceWorkerGlobalScope = 13853,
  ServiceWorkerRegistration = 13878,
  SessionStoreFormData = 13904,
  SessionStoreScrollData = 13925,
  SessionStoreUtils = 13948,
  ShadowRealmGlobalScope = 13966,
  ShadowRoot = 13989,
  SharedWorker = 14000,
  SharedWorkerGlobalScope = 14013,
  SimpleGestureEvent = 14037,
  SourceBuffer = 14056,
  SourceBufferList = 14069,
  SpeechGrammar = 14086,
  SpeechGrammarList = 14100,
  SpeechRecognition = 14118,
  SpeechRecognitionAlternative = 14136,
  SpeechRecognitionError = 14165,
  SpeechRecognitionEvent = 14188,
  SpeechRecognitionResult = 14211,
  SpeechRecognitionResultList = 14235,
  SpeechSynthesis = 14263,
  SpeechSynthesisErrorEvent = 14279,
  SpeechSynthesisEvent = 14305,
  SpeechSynthesisUtterance = 14326,
  SpeechSynthesisVoice = 14351,
  StaticRange = 14372,
  StereoPannerNode = 14384,
  Storage = 14401,
  StorageEvent = 14409,
  StorageManager = 14422,
  StreamFilter = 14437,
  StreamFilterDataEvent = 14450,
  StructuredCloneHolder = 14472,
  StructuredCloneTester = 14494,
  StyleSheet = 14516,
  StyleSheetApplicableStateChangeEvent = 14527,
  StyleSheetList = 14564,
  StyleSheetRemovedEvent = 14579,
  SubmitEvent = 14602,
  SubtleCrypto = 14614,
  SyncMessageSender = 14627,
  SyncReadFile = 14645,
  TCPServerSocket = 14658,
  TCPServerSocketEvent = 14674,
  TCPSocket = 14695,
  TCPSocketErrorEvent = 14705,
  TCPSocketEvent = 14725,
  TaskController = 14740,
  TaskPriorityChangeEvent = 14755,
  TaskSignal = 14779,
  TelemetryStopwatch = 14790,
  TestUtils = 14809,
  TestingDeprecatedInterface = 14819,
  Text = 14846,
  TextClause = 14851,
  TextDecoder = 14862,
  TextDecoderStream = 14874,
  TextEncoder = 14892,
  TextEncoderStream = 14904,
  TextMetrics = 14922,
  TextTrack = 14934,
  TextTrackCue = 14944,
  TextTrackCueList = 14957,
  TextTrackList = 14974,
  TimeEvent = 14988,
  TimeRanges = 14998,
  ToggleEvent = 15009,
  Touch = 15021,
  TouchEvent = 15027,
  TouchList = 15038,
  TrackEvent = 15048,
  TransformStream = 15059,
  TransformStreamDefaultController = 15075,
  TransitionEvent = 15108,
  TreeColumn = 15124,
  TreeColumns = 15135,
  TreeContentView = 15147,
  TreeWalker = 15163,
  UDPMessageEvent = 15174,
  UDPSocket = 15190,
  UIEvent = 15200,
  URL = 15208,
  URLSearchParams = 15212,
  URLSearchParams_Iterator = 15228,
  UniFFIPointer = 15253,
  UniFFIScaffolding = 15267,
  UserActivation = 15285,
  UserInteraction = 15300,
  UserProximityEvent = 15316,
  VRDisplay = 15335,
  VRDisplayCapabilities = 15345,
  VRDisplayEvent = 15367,
  VREyeParameters = 15382,
  VRFieldOfView = 15398,
  VRFrameData = 15412,
  VRMockController = 15424,
  VRMockDisplay = 15441,
  VRPose = 15455,
  VRServiceTest = 15462,
  VRStageParameters = 15476,
  VTTCue = 15494,
  VTTRegion = 15501,
  ValidityState = 15511,
  VideoColorSpace = 15525,
  VideoDecoder = 15541,
  VideoEncoder = 15554,
  VideoFrame = 15567,
  VideoPlaybackQuality = 15578,
  VideoTrack = 15599,
  VideoTrackList = 15610,
  VisualViewport = 15625,
  WEBGL_color_buffer_float = 15640,
  WEBGL_compressed_texture_astc = 15665,
  WEBGL_compressed_texture_etc = 15695,
  WEBGL_compressed_texture_etc1 = 15724,
  WEBGL_compressed_texture_pvrtc = 15754,
  WEBGL_compressed_texture_s3tc = 15785,
  WEBGL_compressed_texture_s3tc_srgb = 15815,
  WEBGL_debug_renderer_info = 15850,
  WEBGL_debug_shaders = 15876,
  WEBGL_depth_texture = 15896,
  WEBGL_draw_buffers = 15916,
  WEBGL_explicit_present = 15935,
  WEBGL_lose_context = 15958,
  WEBGL_provoking_vertex = 15977,
  WakeLock = 16000,
  WakeLockSentinel = 16009,
  WaveShaperNode = 16026,
  WebExtensionContentScript = 16041,
  WebExtensionPolicy = 16067,
  WebGL2RenderingContext = 16086,
  WebGLActiveInfo = 16109,
  WebGLBuffer = 16125,
  WebGLContextEvent = 16137,
  WebGLFramebuffer = 16155,
  WebGLProgram = 16172,
  WebGLQuery = 16185,
  WebGLRenderbuffer = 16196,
  WebGLRenderingContext = 16214,
  WebGLSampler = 16236,
  WebGLShader = 16249,
  WebGLShaderPrecisionFormat = 16261,
  WebGLSync = 16288,
  WebGLTexture = 16298,
  WebGLTransformFeedback = 16311,
  WebGLUniformLocation = 16334,
  WebGLVertexArrayObject = 16355,
  WebKitCSSMatrix = 16378,
  WebSocket = 16394,
  WebTransport = 16404,
  WebTransportBidirectionalStream = 16417,
  WebTransportDatagramDuplexStream = 16449,
  WebTransportError = 16482,
  WebTransportReceiveStream = 16500,
  WebTransportSendStream = 16526,
  WebrtcGlobalInformation = 16549,
  WheelEvent = 16573,
  Window = 16584,
  WindowClient = 16591,
  WindowContext = 16604,
  WindowGlobalChild = 16618,
  WindowGlobalParent = 16636,
  WindowRoot = 16655,
  Worker = 16666,
  WorkerDebuggerGlobalScope = 16673,
  WorkerGlobalScope = 16699,
  WorkerLocation = 16717,
  WorkerNavigator = 16732,
  WorkerTestUtils = 16748,
  Worklet = 16764,
  WorkletGlobalScope = 16772,
  WritableStream = 16791,
  WritableStreamDefaultController = 16806,
  WritableStreamDefaultWriter = 16838,
  XMLDocument = 16866,
  XMLHttpRequest = 16878,
  XMLHttpRequestEventTarget = 16893,
  XMLHttpRequestUpload = 16919,
  XMLSerializer = 16940,
  XPathEvaluator = 16954,
  XPathExpression = 16969,
  XPathResult = 16985,
  XRBoundedReferenceSpace = 16997,
  XRFrame = 17021,
  XRInputSource = 17029,
  XRInputSourceArray = 17043,
  XRInputSourceEvent = 17062,
  XRInputSourcesChangeEvent = 17081,
  XRPose = 17107,
  XRReferenceSpace = 17114,
  XRReferenceSpaceEvent = 17131,
  XRRenderState = 17153,
  XRRigidTransform = 17167,
  XRSession = 17184,
  XRSessionEvent = 17194,
  XRSpace = 17209,
  XRSystem = 17217,
  XRView = 17226,
  XRViewerPose = 17233,
  XRViewport = 17246,
  XRWebGLLayer = 17257,
  XSLTProcessor = 17270,
  XULCommandEvent = 17284,
  XULElement = 17300,
  XULFrameElement = 17311,
  XULMenuElement = 17327,
  XULPopupElement = 17342,
  XULResizerElement = 17358,
  XULTextElement = 17376,
  XULTreeElement = 17391,
  console = 17406,
  webkitSpeechGrammar = 17414,
  webkitSpeechGrammarList = 17434,
  webkitSpeechRecognition = 17458,
  webkitURL = 17482,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
