// -*- mode: C++ -*-

// AUTOGENERATED BY glean_parser.  DO NOT EDIT.

/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

#ifndef mozilla_glean_Pings_h
#define mozilla_glean_Pings_h

#include "mozilla/glean/bindings/Ping.h"

namespace mozilla::glean_pings {

/*
 * Generated from messaging-system.
 *
 * This is a ping representing single events triggered by the messaging system
 * and captures some pings from About:Welcome, ASRouter, and other corners.
 */
constexpr glean::impl::Ping MessagingSystem(1);

/*
 * Generated from newtab.
 *
 * Newtab-related instrumentation.
 * Can be disabled via the `newtabPingEnabled` variable of the `glean` Nimbus
 * feature, or the `browser.newtabpage.ping.enabled` pref.
 */
constexpr glean::impl::Ping Newtab(2);

/*
 * Generated from spoc.
 *
 * A ping for submitting the pocket sponsored content's `shim`.
 * Does not contain a `client_id`.
 */
constexpr glean::impl::Ping Spoc(3);

/*
 * Generated from top-sites.
 *
 * A ping representing a single event happening with or to a TopSite.
 * Distinguishable by its `ping_type`.
 * Does not contain a `client_id`, preferring a `context_id` instead.
 */
constexpr glean::impl::Ping TopSites(4);

/*
 * Generated from pocket-button.
 *
 * Reinstrumentation of the Activity Stream "pocket-button" ping.
 * Submitted when actions are taken around the pocket button.
 * Does not contain any `client_id`.
 * Instead uses an `impression_id`.
 */
constexpr glean::impl::Ping PocketButton(5);

/*
 * Generated from search-with.
 *
 * A ping representing a "This time, search with" event with a partner search.
 * Does not contain a `client_id`, preferring a `context_id` instead.
 * The `context_id` is used internally for counting unique sers as well as for
 * anti-fraud. It is shared with other Contextual Services. It is not shared
 * externally.
 */
constexpr glean::impl::Ping SearchWith(6);

/*
 * Generated from quick-suggest.
 *
 * A ping representing a single event happening with or to a QuickSuggest.
 * Distinguishable by its `ping_type`.
 * Does not contain a `client_id`, preferring a `context_id` instead.
 */
constexpr glean::impl::Ping QuickSuggest(7);

/*
 * Generated from pageload.
 *
 * Instrumentation collected during a page load.
 */
constexpr glean::impl::Ping Pageload(8);

/*
 * Generated from use-counters.
 *
 * Collects counts of uses of web platform features.
 * See [Use Counters Documentation](https://firefox-source-
 * docs.mozilla.org/dom/use-counters.html)
 * for more information.
 */
constexpr glean::impl::Ping UseCounters(9);

/*
 * Generated from background-tasks.
 *
 * This ping is generic for background tasks. Each background task can
 * gather its metrics under this ping and submit it when the task finishes.
 * Note that the ping submission must be done manually.
 */
constexpr glean::impl::Ping BackgroundTasks(10);

/*
 * Generated from crash.
 *
 * A ping to report crash information. This information is sent as soon as
 * possible after a crash occurs (whether the crash is a background/content
 * process or the main process). It is expected to be used for crash report
 * analysis and to reduce blind spots in crash reporting.
 */
constexpr glean::impl::Ping Crash(11);

/*
 * Generated from one-ping-only.
 *
 * This ping is for tests only.
 */
constexpr glean::impl::Ping OnePingOnly(12);

/*
 * Generated from test-ping.
 *
 * This ping is for tests only.
 */
constexpr glean::impl::Ping TestPing(13);

/*
 * Generated from broken-site-report.
 *
 * A ping containing the data for a user-initiated report for a broken site.
 * Does not contain a `client_id`. All report data is self-contained.
 */
constexpr glean::impl::Ping BrokenSiteReport(14);

/*
 * Generated from first-startup.
 *
 * Sent during startup if Firefox was launched by the installer.
 */
constexpr glean::impl::Ping FirstStartup(15);

/*
 * Generated from default-agent.
 *
 * This opt-out ping is sent from the Default Agent, which is a Windows-only
 * Firefox Background Task that is registered during Firefox installation with the
 * Windows scheduled tasks system so that it runs automatically every 24 hours,
 * whether Firefox is running or not.
 * Opting out of telemetry is handled via the pref value being copied to the
 * registry so that the Default Agent can read it without needing to work with
 * profiles. Relevant policies are consulted as well. The agent also has its own
 * pref, `default-agent.enabled`, which if set to false disables all agent
 * functionality, including generating this ping.
 * Each installation of Firefox has its own copy of the agent and its own
 * scheduled task which shares a common `LastPingSentAt` user registry key with
 * other installations. Installations race to send a single ping per 24 hour
 * window per installing user. If multiple operating system-level users are all
 * using one copy of Firefox, only one scheduled task will have been created and
 * only one ping will be sent, even though the users might have different default
 * browser settings. If multiple users have installed Firefox then each installing
 * user will have a scheduled task and ping.
 * Additional information for the Default Agent can be found in the [Default
 * Browser Agent docs](https://firefox-source-
 * docs.mozilla.org/toolkit/mozapps/defaultagent/default-browser-
 * agent/index.html).
 */
constexpr glean::impl::Ping DefaultAgent(16);

/*
 * Generated from background-update.
 *
 * This ping measures the technical health of the background update system.
 * Said system downloads and processes updates when Firefox is not running.  It
 * is expected that this ping will be analyzed by humans to gain confidence in
 * the implementation as the staged rollout of the system proceeds to the
 * release channel, before settling into an automated analysis to detect spikes
 * in background update failure rates.  This ping will also help to
 * characterize the update-related settings of our user population.
 * 
 * Right now the background update system, and therefore this ping, is
 * restricted to Windows.
 * 
 * This ping is submitted only by the background update task.  It should be
 * submitted once per background update task invocation.  The expected schedule
 * is every 7 hours, controlled by the pref `app.update.background.interval`,
 * and subject to scheduling decisions made by the OS.
 */
constexpr glean::impl::Ping BackgroundUpdate(17);


}  // namespace mozilla::glean_pings

#endif  // mozilla_glean_Pings_h
