#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*   941 */ "CSSFontFaceRule" "\0"
  /*   957 */ "CSSFontFeatureValuesRule" "\0"
  /*   982 */ "CSSFontPaletteValuesRule" "\0"
  /*  1007 */ "CSSGroupingRule" "\0"
  /*  1023 */ "CSSImportRule" "\0"
  /*  1037 */ "CSSKeyframeRule" "\0"
  /*  1053 */ "CSSKeyframesRule" "\0"
  /*  1070 */ "CSSLayerBlockRule" "\0"
  /*  1088 */ "CSSLayerStatementRule" "\0"
  /*  1110 */ "CSSMediaRule" "\0"
  /*  1123 */ "CSSMozDocumentRule" "\0"
  /*  1142 */ "CSSNamespaceRule" "\0"
  /*  1159 */ "CSSPageRule" "\0"
  /*  1171 */ "CSSPropertyRule" "\0"
  /*  1187 */ "CSSPseudoElement" "\0"
  /*  1204 */ "CSSRule" "\0"
  /*  1212 */ "CSSRuleList" "\0"
  /*  1224 */ "CSSStyleDeclaration" "\0"
  /*  1244 */ "CSSStyleRule" "\0"
  /*  1257 */ "CSSStyleSheet" "\0"
  /*  1271 */ "CSSSupportsRule" "\0"
  /*  1287 */ "CSSTransition" "\0"
  /*  1301 */ "Cache" "\0"
  /*  1307 */ "CacheStorage" "\0"
  /*  1320 */ "CallbackDebuggerNotification" "\0"
  /*  1349 */ "CanonicalBrowsingContext" "\0"
  /*  1374 */ "CanvasCaptureMediaStream" "\0"
  /*  1399 */ "CanvasGradient" "\0"
  /*  1414 */ "CanvasPattern" "\0"
  /*  1428 */ "CanvasRenderingContext2D" "\0"
  /*  1453 */ "CaretPosition" "\0"
  /*  1467 */ "CaretStateChangedEvent" "\0"
  /*  1490 */ "ChannelMergerNode" "\0"
  /*  1508 */ "ChannelSplitterNode" "\0"
  /*  1528 */ "ChannelWrapper" "\0"
  /*  1543 */ "CharacterData" "\0"
  /*  1557 */ "CheckerboardReportService" "\0"
  /*  1583 */ "ChildProcessMessageManager" "\0"
  /*  1610 */ "ChildSHistory" "\0"
  /*  1624 */ "ChromeMessageBroadcaster" "\0"
  /*  1649 */ "ChromeMessageSender" "\0"
  /*  1669 */ "ChromeNodeList" "\0"
  /*  1684 */ "ChromeUtils" "\0"
  /*  1696 */ "ChromeWorker" "\0"
  /*  1709 */ "Client" "\0"
  /*  1716 */ "Clients" "\0"
  /*  1724 */ "Clipboard" "\0"
  /*  1734 */ "ClipboardEvent" "\0"
  /*  1749 */ "ClipboardItem" "\0"
  /*  1763 */ "ClonedErrorHolder" "\0"
  /*  1781 */ "CloseEvent" "\0"
  /*  1792 */ "CommandEvent" "\0"
  /*  1805 */ "Comment" "\0"
  /*  1813 */ "CompositionEvent" "\0"
  /*  1830 */ "CompressionStream" "\0"
  /*  1848 */ "ConsoleInstance" "\0"
  /*  1864 */ "ConstantSourceNode" "\0"
  /*  1883 */ "ContentFrameMessageManager" "\0"
  /*  1910 */ "ContentProcessMessageManager" "\0"
  /*  1939 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1977 */ "ConvolverNode" "\0"
  /*  1991 */ "CountQueuingStrategy" "\0"
  /*  2012 */ "CreateOfferRequest" "\0"
  /*  2031 */ "Credential" "\0"
  /*  2042 */ "CredentialsContainer" "\0"
  /*  2063 */ "Crypto" "\0"
  /*  2070 */ "CryptoKey" "\0"
  /*  2080 */ "CustomElementRegistry" "\0"
  /*  2102 */ "CustomEvent" "\0"
  /*  2114 */ "CustomStateSet" "\0"
  /*  2129 */ "DOMException" "\0"
  /*  2142 */ "DOMImplementation" "\0"
  /*  2160 */ "DOMLocalization" "\0"
  /*  2176 */ "DOMMatrix" "\0"
  /*  2186 */ "DOMMatrixReadOnly" "\0"
  /*  2204 */ "DOMParser" "\0"
  /*  2214 */ "DOMPoint" "\0"
  /*  2223 */ "DOMPointReadOnly" "\0"
  /*  2240 */ "DOMQuad" "\0"
  /*  2248 */ "DOMRect" "\0"
  /*  2256 */ "DOMRectList" "\0"
  /*  2268 */ "DOMRectReadOnly" "\0"
  /*  2284 */ "DOMRequest" "\0"
  /*  2295 */ "DOMStringList" "\0"
  /*  2309 */ "DOMStringMap" "\0"
  /*  2322 */ "DOMTokenList" "\0"
  /*  2335 */ "DataTransfer" "\0"
  /*  2348 */ "DataTransferItem" "\0"
  /*  2365 */ "DataTransferItemList" "\0"
  /*  2386 */ "DebuggerNotification" "\0"
  /*  2407 */ "DebuggerNotificationObserver" "\0"
  /*  2436 */ "DecompressionStream" "\0"
  /*  2456 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2483 */ "DelayNode" "\0"
  /*  2493 */ "DeprecationReportBody" "\0"
  /*  2515 */ "DeviceAcceleration" "\0"
  /*  2534 */ "DeviceLightEvent" "\0"
  /*  2551 */ "DeviceMotionEvent" "\0"
  /*  2569 */ "DeviceOrientationEvent" "\0"
  /*  2592 */ "DeviceRotationRate" "\0"
  /*  2611 */ "Directory" "\0"
  /*  2621 */ "Document" "\0"
  /*  2630 */ "DocumentFragment" "\0"
  /*  2647 */ "DocumentL10n" "\0"
  /*  2660 */ "DocumentTimeline" "\0"
  /*  2677 */ "DocumentType" "\0"
  /*  2690 */ "DominatorTree" "\0"
  /*  2704 */ "DragEvent" "\0"
  /*  2714 */ "DynamicsCompressorNode" "\0"
  /*  2737 */ "EXT_blend_minmax" "\0"
  /*  2754 */ "EXT_color_buffer_float" "\0"
  /*  2777 */ "EXT_color_buffer_half_float" "\0"
  /*  2805 */ "EXT_disjoint_timer_query" "\0"
  /*  2830 */ "EXT_float_blend" "\0"
  /*  2846 */ "EXT_frag_depth" "\0"
  /*  2861 */ "EXT_sRGB" "\0"
  /*  2870 */ "EXT_shader_texture_lod" "\0"
  /*  2893 */ "EXT_texture_compression_bptc" "\0"
  /*  2922 */ "EXT_texture_compression_rgtc" "\0"
  /*  2951 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2982 */ "EXT_texture_norm16" "\0"
  /*  3001 */ "Element" "\0"
  /*  3009 */ "ElementInternals" "\0"
  /*  3026 */ "EncodedVideoChunk" "\0"
  /*  3044 */ "ErrorEvent" "\0"
  /*  3055 */ "Event" "\0"
  /*  3061 */ "EventCallbackDebuggerNotification" "\0"
  /*  3095 */ "EventCounts" "\0"
  /*  3107 */ "EventSource" "\0"
  /*  3119 */ "EventTarget" "\0"
  /*  3131 */ "Exception" "\0"
  /*  3141 */ "ExtendableEvent" "\0"
  /*  3157 */ "ExtendableMessageEvent" "\0"
  /*  3180 */ "ExtensionAlarms" "\0"
  /*  3196 */ "ExtensionBrowser" "\0"
  /*  3213 */ "ExtensionBrowserSettings" "\0"
  /*  3238 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3278 */ "ExtensionDns" "\0"
  /*  3291 */ "ExtensionEventManager" "\0"
  /*  3313 */ "ExtensionMockAPI" "\0"
  /*  3330 */ "ExtensionPort" "\0"
  /*  3344 */ "ExtensionProxy" "\0"
  /*  3359 */ "ExtensionRuntime" "\0"
  /*  3376 */ "ExtensionScripting" "\0"
  /*  3395 */ "ExtensionSetting" "\0"
  /*  3412 */ "ExtensionTest" "\0"
  /*  3426 */ "External" "\0"
  /*  3435 */ "FeaturePolicy" "\0"
  /*  3449 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3482 */ "FetchEvent" "\0"
  /*  3493 */ "FetchObserver" "\0"
  /*  3507 */ "File" "\0"
  /*  3512 */ "FileList" "\0"
  /*  3521 */ "FileReader" "\0"
  /*  3532 */ "FileReaderSync" "\0"
  /*  3547 */ "FileSystem" "\0"
  /*  3558 */ "FileSystemDirectoryEntry" "\0"
  /*  3583 */ "FileSystemDirectoryHandle" "\0"
  /*  3609 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3649 */ "FileSystemDirectoryIterator" "\0"
  /*  3677 */ "FileSystemDirectoryReader" "\0"
  /*  3703 */ "FileSystemEntry" "\0"
  /*  3719 */ "FileSystemFileEntry" "\0"
  /*  3739 */ "FileSystemFileHandle" "\0"
  /*  3760 */ "FileSystemHandle" "\0"
  /*  3777 */ "FileSystemSyncAccessHandle" "\0"
  /*  3804 */ "FileSystemWritableFileStream" "\0"
  /*  3833 */ "Flex" "\0"
  /*  3838 */ "FlexItemValues" "\0"
  /*  3853 */ "FlexLineValues" "\0"
  /*  3868 */ "FluentBundle" "\0"
  /*  3881 */ "FluentBundleAsyncIterator" "\0"
  /*  3907 */ "FluentBundleIterator" "\0"
  /*  3928 */ "FluentPattern" "\0"
  /*  3942 */ "FluentResource" "\0"
  /*  3957 */ "FocusEvent" "\0"
  /*  3968 */ "FontFace" "\0"
  /*  3977 */ "FontFaceSet" "\0"
  /*  3989 */ "FontFaceSetIterator" "\0"
  /*  4009 */ "FontFaceSetLoadEvent" "\0"
  /*  4030 */ "FormData" "\0"
  /*  4039 */ "FormData Iterator" "\0"
  /*  4057 */ "FormDataEvent" "\0"
  /*  4071 */ "FrameCrashedEvent" "\0"
  /*  4089 */ "FrameLoader" "\0"
  /*  4101 */ "GPU" "\0"
  /*  4105 */ "GPUAdapter" "\0"
  /*  4116 */ "GPUAdapterInfo" "\0"
  /*  4131 */ "GPUBindGroup" "\0"
  /*  4144 */ "GPUBindGroupLayout" "\0"
  /*  4163 */ "GPUBuffer" "\0"
  /*  4173 */ "GPUBufferUsage" "\0"
  /*  4188 */ "GPUCanvasContext" "\0"
  /*  4205 */ "GPUColorWrite" "\0"
  /*  4219 */ "GPUCommandBuffer" "\0"
  /*  4236 */ "GPUCommandEncoder" "\0"
  /*  4254 */ "GPUCompilationInfo" "\0"
  /*  4273 */ "GPUCompilationMessage" "\0"
  /*  4295 */ "GPUComputePassEncoder" "\0"
  /*  4317 */ "GPUComputePipeline" "\0"
  /*  4336 */ "GPUDevice" "\0"
  /*  4346 */ "GPUDeviceLostInfo" "\0"
  /*  4364 */ "GPUError" "\0"
  /*  4373 */ "GPUInternalError" "\0"
  /*  4390 */ "GPUMapMode" "\0"
  /*  4401 */ "GPUOutOfMemoryError" "\0"
  /*  4421 */ "GPUPipelineLayout" "\0"
  /*  4439 */ "GPUQuerySet" "\0"
  /*  4451 */ "GPUQueue" "\0"
  /*  4460 */ "GPURenderBundle" "\0"
  /*  4476 */ "GPURenderBundleEncoder" "\0"
  /*  4499 */ "GPURenderPassEncoder" "\0"
  /*  4520 */ "GPURenderPipeline" "\0"
  /*  4538 */ "GPUSampler" "\0"
  /*  4549 */ "GPUShaderModule" "\0"
  /*  4565 */ "GPUShaderStage" "\0"
  /*  4580 */ "GPUSupportedFeatures" "\0"
  /*  4601 */ "GPUSupportedLimits" "\0"
  /*  4620 */ "GPUTexture" "\0"
  /*  4631 */ "GPUTextureUsage" "\0"
  /*  4647 */ "GPUTextureView" "\0"
  /*  4662 */ "GPUUncapturedErrorEvent" "\0"
  /*  4686 */ "GPUValidationError" "\0"
  /*  4705 */ "GainNode" "\0"
  /*  4714 */ "Gamepad" "\0"
  /*  4722 */ "GamepadAxisMoveEvent" "\0"
  /*  4743 */ "GamepadButton" "\0"
  /*  4757 */ "GamepadButtonEvent" "\0"
  /*  4776 */ "GamepadEvent" "\0"
  /*  4789 */ "GamepadHapticActuator" "\0"
  /*  4811 */ "GamepadLightIndicator" "\0"
  /*  4833 */ "GamepadPose" "\0"
  /*  4845 */ "GamepadServiceTest" "\0"
  /*  4864 */ "GamepadTouch" "\0"
  /*  4877 */ "Geolocation" "\0"
  /*  4889 */ "GeolocationCoordinates" "\0"
  /*  4912 */ "GeolocationPosition" "\0"
  /*  4932 */ "GeolocationPositionError" "\0"
  /*  4957 */ "GetUserMediaRequest" "\0"
  /*  4977 */ "GleanBoolean" "\0"
  /*  4990 */ "GleanCategory" "\0"
  /*  5004 */ "GleanCounter" "\0"
  /*  5017 */ "GleanCustomDistribution" "\0"
  /*  5041 */ "GleanDatetime" "\0"
  /*  5055 */ "GleanDenominator" "\0"
  /*  5072 */ "GleanEvent" "\0"
  /*  5083 */ "GleanImpl" "\0"
  /*  5093 */ "GleanLabeled" "\0"
  /*  5106 */ "GleanMemoryDistribution" "\0"
  /*  5130 */ "GleanMetric" "\0"
  /*  5142 */ "GleanNumerator" "\0"
  /*  5157 */ "GleanPingsImpl" "\0"
  /*  5172 */ "GleanQuantity" "\0"
  /*  5186 */ "GleanRate" "\0"
  /*  5196 */ "GleanString" "\0"
  /*  5208 */ "GleanStringList" "\0"
  /*  5224 */ "GleanText" "\0"
  /*  5234 */ "GleanTimespan" "\0"
  /*  5248 */ "GleanTimingDistribution" "\0"
  /*  5272 */ "GleanUrl" "\0"
  /*  5281 */ "GleanUuid" "\0"
  /*  5291 */ "Grid" "\0"
  /*  5296 */ "GridArea" "\0"
  /*  5305 */ "GridDimension" "\0"
  /*  5319 */ "GridLine" "\0"
  /*  5328 */ "GridLines" "\0"
  /*  5338 */ "GridTrack" "\0"
  /*  5348 */ "GridTracks" "\0"
  /*  5359 */ "HTMLAllCollection" "\0"
  /*  5377 */ "HTMLAnchorElement" "\0"
  /*  5395 */ "HTMLAreaElement" "\0"
  /*  5411 */ "HTMLAudioElement" "\0"
  /*  5428 */ "HTMLBRElement" "\0"
  /*  5442 */ "HTMLBaseElement" "\0"
  /*  5458 */ "HTMLBodyElement" "\0"
  /*  5474 */ "HTMLButtonElement" "\0"
  /*  5492 */ "HTMLCanvasElement" "\0"
  /*  5510 */ "HTMLCollection" "\0"
  /*  5525 */ "HTMLDListElement" "\0"
  /*  5542 */ "HTMLDataElement" "\0"
  /*  5558 */ "HTMLDataListElement" "\0"
  /*  5578 */ "HTMLDetailsElement" "\0"
  /*  5597 */ "HTMLDialogElement" "\0"
  /*  5615 */ "HTMLDirectoryElement" "\0"
  /*  5636 */ "HTMLDivElement" "\0"
  /*  5651 */ "HTMLDocument" "\0"
  /*  5664 */ "HTMLElement" "\0"
  /*  5676 */ "HTMLEmbedElement" "\0"
  /*  5693 */ "HTMLFieldSetElement" "\0"
  /*  5713 */ "HTMLFontElement" "\0"
  /*  5729 */ "HTMLFormControlsCollection" "\0"
  /*  5756 */ "HTMLFormElement" "\0"
  /*  5772 */ "HTMLFrameElement" "\0"
  /*  5789 */ "HTMLFrameSetElement" "\0"
  /*  5809 */ "HTMLHRElement" "\0"
  /*  5823 */ "HTMLHeadElement" "\0"
  /*  5839 */ "HTMLHeadingElement" "\0"
  /*  5858 */ "HTMLHtmlElement" "\0"
  /*  5874 */ "HTMLIFrameElement" "\0"
  /*  5892 */ "HTMLImageElement" "\0"
  /*  5909 */ "HTMLInputElement" "\0"
  /*  5926 */ "HTMLLIElement" "\0"
  /*  5940 */ "HTMLLabelElement" "\0"
  /*  5957 */ "HTMLLegendElement" "\0"
  /*  5975 */ "HTMLLinkElement" "\0"
  /*  5991 */ "HTMLMapElement" "\0"
  /*  6006 */ "HTMLMarqueeElement" "\0"
  /*  6025 */ "HTMLMediaElement" "\0"
  /*  6042 */ "HTMLMenuElement" "\0"
  /*  6058 */ "HTMLMetaElement" "\0"
  /*  6074 */ "HTMLMeterElement" "\0"
  /*  6091 */ "HTMLModElement" "\0"
  /*  6106 */ "HTMLOListElement" "\0"
  /*  6123 */ "HTMLObjectElement" "\0"
  /*  6141 */ "HTMLOptGroupElement" "\0"
  /*  6161 */ "HTMLOptionElement" "\0"
  /*  6179 */ "HTMLOptionsCollection" "\0"
  /*  6201 */ "HTMLOutputElement" "\0"
  /*  6219 */ "HTMLParagraphElement" "\0"
  /*  6240 */ "HTMLParamElement" "\0"
  /*  6257 */ "HTMLPictureElement" "\0"
  /*  6276 */ "HTMLPreElement" "\0"
  /*  6291 */ "HTMLProgressElement" "\0"
  /*  6311 */ "HTMLQuoteElement" "\0"
  /*  6328 */ "HTMLScriptElement" "\0"
  /*  6346 */ "HTMLSelectElement" "\0"
  /*  6364 */ "HTMLSlotElement" "\0"
  /*  6380 */ "HTMLSourceElement" "\0"
  /*  6398 */ "HTMLSpanElement" "\0"
  /*  6414 */ "HTMLStyleElement" "\0"
  /*  6431 */ "HTMLTableCaptionElement" "\0"
  /*  6455 */ "HTMLTableCellElement" "\0"
  /*  6476 */ "HTMLTableColElement" "\0"
  /*  6496 */ "HTMLTableElement" "\0"
  /*  6513 */ "HTMLTableRowElement" "\0"
  /*  6533 */ "HTMLTableSectionElement" "\0"
  /*  6557 */ "HTMLTemplateElement" "\0"
  /*  6577 */ "HTMLTextAreaElement" "\0"
  /*  6597 */ "HTMLTimeElement" "\0"
  /*  6613 */ "HTMLTitleElement" "\0"
  /*  6630 */ "HTMLTrackElement" "\0"
  /*  6647 */ "HTMLUListElement" "\0"
  /*  6664 */ "HTMLUnknownElement" "\0"
  /*  6683 */ "HTMLVideoElement" "\0"
  /*  6700 */ "HashChangeEvent" "\0"
  /*  6716 */ "Headers" "\0"
  /*  6724 */ "Headers Iterator" "\0"
  /*  6741 */ "HeapSnapshot" "\0"
  /*  6754 */ "Highlight" "\0"
  /*  6764 */ "HighlightRegistry" "\0"
  /*  6782 */ "History" "\0"
  /*  6790 */ "IDBCursor" "\0"
  /*  6800 */ "IDBCursorWithValue" "\0"
  /*  6819 */ "IDBDatabase" "\0"
  /*  6831 */ "IDBFactory" "\0"
  /*  6842 */ "IDBIndex" "\0"
  /*  6851 */ "IDBKeyRange" "\0"
  /*  6863 */ "IDBObjectStore" "\0"
  /*  6878 */ "IDBOpenDBRequest" "\0"
  /*  6895 */ "IDBRequest" "\0"
  /*  6906 */ "IDBTransaction" "\0"
  /*  6921 */ "IDBVersionChangeEvent" "\0"
  /*  6943 */ "IIRFilterNode" "\0"
  /*  6957 */ "IOUtils" "\0"
  /*  6965 */ "IdentityCredential" "\0"
  /*  6984 */ "IdleDeadline" "\0"
  /*  6997 */ "Image" "\0"
  /*  7003 */ "ImageBitmap" "\0"
  /*  7015 */ "ImageBitmapRenderingContext" "\0"
  /*  7043 */ "ImageCapture" "\0"
  /*  7056 */ "ImageCaptureError" "\0"
  /*  7074 */ "ImageCaptureErrorEvent" "\0"
  /*  7097 */ "ImageData" "\0"
  /*  7107 */ "ImageDocument" "\0"
  /*  7121 */ "InputEvent" "\0"
  /*  7132 */ "InspectorFontFace" "\0"
  /*  7150 */ "InspectorUtils" "\0"
  /*  7165 */ "InstallTriggerImpl" "\0"
  /*  7184 */ "IntersectionObserver" "\0"
  /*  7205 */ "IntersectionObserverEntry" "\0"
  /*  7231 */ "IntlUtils" "\0"
  /*  7241 */ "InvokeEvent" "\0"
  /*  7253 */ "JSProcessActorChild" "\0"
  /*  7273 */ "JSProcessActorParent" "\0"
  /*  7294 */ "JSWindowActorChild" "\0"
  /*  7313 */ "JSWindowActorParent" "\0"
  /*  7333 */ "KeyEvent" "\0"
  /*  7342 */ "KeyboardEvent" "\0"
  /*  7356 */ "KeyframeEffect" "\0"
  /*  7371 */ "L10nFileSource" "\0"
  /*  7386 */ "L10nOverlays" "\0"
  /*  7399 */ "L10nRegistry" "\0"
  /*  7412 */ "LargestContentfulPaint" "\0"
  /*  7435 */ "LegacyMozTCPSocket" "\0"
  /*  7454 */ "Localization" "\0"
  /*  7467 */ "Location" "\0"
  /*  7476 */ "Lock" "\0"
  /*  7481 */ "LockManager" "\0"
  /*  7493 */ "MIDIAccess" "\0"
  /*  7504 */ "MIDIConnectionEvent" "\0"
  /*  7524 */ "MIDIInput" "\0"
  /*  7534 */ "MIDIInputMap" "\0"
  /*  7547 */ "MIDIMessageEvent" "\0"
  /*  7564 */ "MIDIOutput" "\0"
  /*  7575 */ "MIDIOutputMap" "\0"
  /*  7589 */ "MIDIPort" "\0"
  /*  7598 */ "MOZ_debug" "\0"
  /*  7608 */ "MatchGlob" "\0"
  /*  7618 */ "MatchPattern" "\0"
  /*  7631 */ "MatchPatternSet" "\0"
  /*  7647 */ "MathMLElement" "\0"
  /*  7661 */ "MediaCapabilities" "\0"
  /*  7679 */ "MediaCapabilitiesInfo" "\0"
  /*  7701 */ "MediaControlService" "\0"
  /*  7721 */ "MediaController" "\0"
  /*  7737 */ "MediaDeviceInfo" "\0"
  /*  7753 */ "MediaDevices" "\0"
  /*  7766 */ "MediaElementAudioSourceNode" "\0"
  /*  7794 */ "MediaEncryptedEvent" "\0"
  /*  7814 */ "MediaError" "\0"
  /*  7825 */ "MediaKeyError" "\0"
  /*  7839 */ "MediaKeyMessageEvent" "\0"
  /*  7860 */ "MediaKeySession" "\0"
  /*  7876 */ "MediaKeyStatusMap" "\0"
  /*  7894 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7921 */ "MediaKeySystemAccess" "\0"
  /*  7942 */ "MediaKeys" "\0"
  /*  7952 */ "MediaList" "\0"
  /*  7962 */ "MediaMetadata" "\0"
  /*  7976 */ "MediaQueryList" "\0"
  /*  7991 */ "MediaQueryListEvent" "\0"
  /*  8011 */ "MediaRecorder" "\0"
  /*  8025 */ "MediaRecorderErrorEvent" "\0"
  /*  8049 */ "MediaSession" "\0"
  /*  8062 */ "MediaSource" "\0"
  /*  8074 */ "MediaStream" "\0"
  /*  8086 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8118 */ "MediaStreamAudioSourceNode" "\0"
  /*  8145 */ "MediaStreamError" "\0"
  /*  8162 */ "MediaStreamEvent" "\0"
  /*  8179 */ "MediaStreamTrack" "\0"
  /*  8196 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8228 */ "MediaStreamTrackEvent" "\0"
  /*  8250 */ "MerchantValidationEvent" "\0"
  /*  8274 */ "MessageBroadcaster" "\0"
  /*  8293 */ "MessageChannel" "\0"
  /*  8308 */ "MessageEvent" "\0"
  /*  8321 */ "MessageListenerManager" "\0"
  /*  8344 */ "MessagePort" "\0"
  /*  8356 */ "MessageSender" "\0"
  /*  8370 */ "MimeType" "\0"
  /*  8379 */ "MimeTypeArray" "\0"
  /*  8393 */ "MouseEvent" "\0"
  /*  8404 */ "MouseScrollEvent" "\0"
  /*  8421 */ "MozCanvasPrintState" "\0"
  /*  8441 */ "MozDocumentMatcher" "\0"
  /*  8460 */ "MozDocumentObserver" "\0"
  /*  8480 */ "MozQueryInterface" "\0"
  /*  8498 */ "MozSharedMap" "\0"
  /*  8511 */ "MozSharedMap Iterator" "\0"
  /*  8533 */ "MozSharedMapChangeEvent" "\0"
  /*  8557 */ "MozStorageAsyncStatementParams" "\0"
  /*  8588 */ "MozStorageStatementParams" "\0"
  /*  8614 */ "MozStorageStatementRow" "\0"
  /*  8637 */ "MozWritableSharedMap" "\0"
  /*  8658 */ "MutationEvent" "\0"
  /*  8672 */ "MutationObserver" "\0"
  /*  8689 */ "MutationRecord" "\0"
  /*  8704 */ "NamedNodeMap" "\0"
  /*  8717 */ "NavigationPreloadManager" "\0"
  /*  8742 */ "Navigator" "\0"
  /*  8752 */ "NetworkInformation" "\0"
  /*  8771 */ "Node" "\0"
  /*  8776 */ "NodeFilter" "\0"
  /*  8787 */ "NodeIterator" "\0"
  /*  8800 */ "NodeList" "\0"
  /*  8809 */ "Notification" "\0"
  /*  8822 */ "NotificationEvent" "\0"
  /*  8840 */ "NotifyPaintEvent" "\0"
  /*  8857 */ "OES_draw_buffers_indexed" "\0"
  /*  8882 */ "OES_element_index_uint" "\0"
  /*  8905 */ "OES_fbo_render_mipmap" "\0"
  /*  8927 */ "OES_standard_derivatives" "\0"
  /*  8952 */ "OES_texture_float" "\0"
  /*  8970 */ "OES_texture_float_linear" "\0"
  /*  8995 */ "OES_texture_half_float" "\0"
  /*  9018 */ "OES_texture_half_float_linear" "\0"
  /*  9048 */ "OES_vertex_array_object" "\0"
  /*  9072 */ "OVR_multiview2" "\0"
  /*  9087 */ "OfflineAudioCompletionEvent" "\0"
  /*  9115 */ "OfflineAudioContext" "\0"
  /*  9135 */ "OffscreenCanvas" "\0"
  /*  9151 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9185 */ "Option" "\0"
  /*  9192 */ "OscillatorNode" "\0"
  /*  9207 */ "PageTransitionEvent" "\0"
  /*  9227 */ "PaintRequest" "\0"
  /*  9240 */ "PaintRequestList" "\0"
  /*  9257 */ "PaintWorkletGlobalScope" "\0"
  /*  9281 */ "PannerNode" "\0"
  /*  9292 */ "ParentProcessMessageManager" "\0"
  /*  9320 */ "Path2D" "\0"
  /*  9327 */ "PathUtils" "\0"
  /*  9337 */ "PaymentAddress" "\0"
  /*  9352 */ "PaymentMethodChangeEvent" "\0"
  /*  9377 */ "PaymentRequest" "\0"
  /*  9392 */ "PaymentRequestUpdateEvent" "\0"
  /*  9418 */ "PaymentResponse" "\0"
  /*  9434 */ "PeerConnectionImpl" "\0"
  /*  9453 */ "PeerConnectionObserver" "\0"
  /*  9476 */ "Performance" "\0"
  /*  9488 */ "PerformanceEntry" "\0"
  /*  9505 */ "PerformanceEntryEvent" "\0"
  /*  9527 */ "PerformanceEventTiming" "\0"
  /*  9550 */ "PerformanceMark" "\0"
  /*  9566 */ "PerformanceMeasure" "\0"
  /*  9585 */ "PerformanceNavigation" "\0"
  /*  9607 */ "PerformanceNavigationTiming" "\0"
  /*  9635 */ "PerformanceObserver" "\0"
  /*  9655 */ "PerformanceObserverEntryList" "\0"
  /*  9684 */ "PerformancePaintTiming" "\0"
  /*  9707 */ "PerformanceResourceTiming" "\0"
  /*  9733 */ "PerformanceServerTiming" "\0"
  /*  9757 */ "PerformanceTiming" "\0"
  /*  9775 */ "PeriodicWave" "\0"
  /*  9788 */ "PermissionStatus" "\0"
  /*  9805 */ "Permissions" "\0"
  /*  9817 */ "PlacesBookmark" "\0"
  /*  9832 */ "PlacesBookmarkAddition" "\0"
  /*  9855 */ "PlacesBookmarkChanged" "\0"
  /*  9877 */ "PlacesBookmarkGuid" "\0"
  /*  9896 */ "PlacesBookmarkKeyword" "\0"
  /*  9918 */ "PlacesBookmarkMoved" "\0"
  /*  9938 */ "PlacesBookmarkRemoved" "\0"
  /*  9960 */ "PlacesBookmarkTags" "\0"
  /*  9979 */ "PlacesBookmarkTime" "\0"
  /*  9998 */ "PlacesBookmarkTitle" "\0"
  /* 10018 */ "PlacesBookmarkUrl" "\0"
  /* 10036 */ "PlacesEvent" "\0"
  /* 10048 */ "PlacesFavicon" "\0"
  /* 10062 */ "PlacesHistoryCleared" "\0"
  /* 10083 */ "PlacesObservers" "\0"
  /* 10099 */ "PlacesPurgeCaches" "\0"
  /* 10117 */ "PlacesRanking" "\0"
  /* 10131 */ "PlacesVisit" "\0"
  /* 10143 */ "PlacesVisitRemoved" "\0"
  /* 10162 */ "PlacesVisitTitle" "\0"
  /* 10179 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10205 */ "Plugin" "\0"
  /* 10212 */ "PluginArray" "\0"
  /* 10224 */ "PluginCrashedEvent" "\0"
  /* 10243 */ "PointerEvent" "\0"
  /* 10256 */ "PopStateEvent" "\0"
  /* 10270 */ "PopupBlockedEvent" "\0"
  /* 10288 */ "PopupPositionedEvent" "\0"
  /* 10309 */ "PositionStateEvent" "\0"
  /* 10328 */ "PrecompiledScript" "\0"
  /* 10346 */ "ProcessMessageManager" "\0"
  /* 10368 */ "ProcessingInstruction" "\0"
  /* 10390 */ "ProgressEvent" "\0"
  /* 10404 */ "PromiseDebugging" "\0"
  /* 10421 */ "PromiseNativeHandler" "\0"
  /* 10442 */ "PromiseRejectionEvent" "\0"
  /* 10464 */ "PublicKeyCredential" "\0"
  /* 10484 */ "PushEvent" "\0"
  /* 10494 */ "PushManager" "\0"
  /* 10506 */ "PushManagerImpl" "\0"
  /* 10522 */ "PushMessageData" "\0"
  /* 10538 */ "PushSubscription" "\0"
  /* 10555 */ "PushSubscriptionOptions" "\0"
  /* 10579 */ "RTCCertificate" "\0"
  /* 10594 */ "RTCDTMFSender" "\0"
  /* 10608 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10631 */ "RTCDataChannel" "\0"
  /* 10646 */ "RTCDataChannelEvent" "\0"
  /* 10666 */ "RTCDtlsTransport" "\0"
  /* 10683 */ "RTCEncodedAudioFrame" "\0"
  /* 10704 */ "RTCEncodedVideoFrame" "\0"
  /* 10725 */ "RTCIceCandidate" "\0"
  /* 10741 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10770 */ "RTCPeerConnection" "\0"
  /* 10788 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10814 */ "RTCPeerConnectionStatic" "\0"
  /* 10838 */ "RTCRtpReceiver" "\0"
  /* 10853 */ "RTCRtpScriptTransform" "\0"
  /* 10875 */ "RTCRtpScriptTransformer" "\0"
  /* 10899 */ "RTCRtpSender" "\0"
  /* 10912 */ "RTCRtpTransceiver" "\0"
  /* 10930 */ "RTCSctpTransport" "\0"
  /* 10947 */ "RTCSessionDescription" "\0"
  /* 10969 */ "RTCStatsReport" "\0"
  /* 10984 */ "RTCTrackEvent" "\0"
  /* 10998 */ "RTCTransformEvent" "\0"
  /* 11016 */ "RadioNodeList" "\0"
  /* 11030 */ "Range" "\0"
  /* 11036 */ "ReadableByteStreamController" "\0"
  /* 11065 */ "ReadableStream" "\0"
  /* 11080 */ "ReadableStream AsyncIterator" "\0"
  /* 11109 */ "ReadableStreamBYOBReader" "\0"
  /* 11134 */ "ReadableStreamBYOBRequest" "\0"
  /* 11160 */ "ReadableStreamDefaultController" "\0"
  /* 11192 */ "ReadableStreamDefaultReader" "\0"
  /* 11220 */ "Report" "\0"
  /* 11227 */ "ReportBody" "\0"
  /* 11238 */ "ReportingObserver" "\0"
  /* 11256 */ "Request" "\0"
  /* 11264 */ "ResizeObserver" "\0"
  /* 11279 */ "ResizeObserverEntry" "\0"
  /* 11299 */ "ResizeObserverSize" "\0"
  /* 11318 */ "Response" "\0"
  /* 11327 */ "SVGAElement" "\0"
  /* 11339 */ "SVGAngle" "\0"
  /* 11348 */ "SVGAnimateElement" "\0"
  /* 11366 */ "SVGAnimateMotionElement" "\0"
  /* 11390 */ "SVGAnimateTransformElement" "\0"
  /* 11417 */ "SVGAnimatedAngle" "\0"
  /* 11434 */ "SVGAnimatedBoolean" "\0"
  /* 11453 */ "SVGAnimatedEnumeration" "\0"
  /* 11476 */ "SVGAnimatedInteger" "\0"
  /* 11495 */ "SVGAnimatedLength" "\0"
  /* 11513 */ "SVGAnimatedLengthList" "\0"
  /* 11535 */ "SVGAnimatedNumber" "\0"
  /* 11553 */ "SVGAnimatedNumberList" "\0"
  /* 11575 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11606 */ "SVGAnimatedRect" "\0"
  /* 11622 */ "SVGAnimatedString" "\0"
  /* 11640 */ "SVGAnimatedTransformList" "\0"
  /* 11665 */ "SVGAnimationElement" "\0"
  /* 11685 */ "SVGCircleElement" "\0"
  /* 11702 */ "SVGClipPathElement" "\0"
  /* 11721 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11757 */ "SVGDefsElement" "\0"
  /* 11772 */ "SVGDescElement" "\0"
  /* 11787 */ "SVGElement" "\0"
  /* 11798 */ "SVGEllipseElement" "\0"
  /* 11816 */ "SVGFEBlendElement" "\0"
  /* 11834 */ "SVGFEColorMatrixElement" "\0"
  /* 11858 */ "SVGFEComponentTransferElement" "\0"
  /* 11888 */ "SVGFECompositeElement" "\0"
  /* 11910 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11937 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11965 */ "SVGFEDisplacementMapElement" "\0"
  /* 11993 */ "SVGFEDistantLightElement" "\0"
  /* 12018 */ "SVGFEDropShadowElement" "\0"
  /* 12041 */ "SVGFEFloodElement" "\0"
  /* 12059 */ "SVGFEFuncAElement" "\0"
  /* 12077 */ "SVGFEFuncBElement" "\0"
  /* 12095 */ "SVGFEFuncGElement" "\0"
  /* 12113 */ "SVGFEFuncRElement" "\0"
  /* 12131 */ "SVGFEGaussianBlurElement" "\0"
  /* 12156 */ "SVGFEImageElement" "\0"
  /* 12174 */ "SVGFEMergeElement" "\0"
  /* 12192 */ "SVGFEMergeNodeElement" "\0"
  /* 12214 */ "SVGFEMorphologyElement" "\0"
  /* 12237 */ "SVGFEOffsetElement" "\0"
  /* 12256 */ "SVGFEPointLightElement" "\0"
  /* 12279 */ "SVGFESpecularLightingElement" "\0"
  /* 12308 */ "SVGFESpotLightElement" "\0"
  /* 12330 */ "SVGFETileElement" "\0"
  /* 12347 */ "SVGFETurbulenceElement" "\0"
  /* 12370 */ "SVGFilterElement" "\0"
  /* 12387 */ "SVGForeignObjectElement" "\0"
  /* 12411 */ "SVGGElement" "\0"
  /* 12423 */ "SVGGeometryElement" "\0"
  /* 12442 */ "SVGGradientElement" "\0"
  /* 12461 */ "SVGGraphicsElement" "\0"
  /* 12480 */ "SVGImageElement" "\0"
  /* 12496 */ "SVGLength" "\0"
  /* 12506 */ "SVGLengthList" "\0"
  /* 12520 */ "SVGLineElement" "\0"
  /* 12535 */ "SVGLinearGradientElement" "\0"
  /* 12560 */ "SVGMPathElement" "\0"
  /* 12576 */ "SVGMarkerElement" "\0"
  /* 12593 */ "SVGMaskElement" "\0"
  /* 12608 */ "SVGMatrix" "\0"
  /* 12618 */ "SVGMetadataElement" "\0"
  /* 12637 */ "SVGNumber" "\0"
  /* 12647 */ "SVGNumberList" "\0"
  /* 12661 */ "SVGPathElement" "\0"
  /* 12676 */ "SVGPathSeg" "\0"
  /* 12687 */ "SVGPathSegArcAbs" "\0"
  /* 12704 */ "SVGPathSegArcRel" "\0"
  /* 12721 */ "SVGPathSegClosePath" "\0"
  /* 12741 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12767 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12793 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12825 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12857 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12887 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12917 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12953 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12989 */ "SVGPathSegLinetoAbs" "\0"
  /* 13009 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 13039 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 13069 */ "SVGPathSegLinetoRel" "\0"
  /* 13089 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 13117 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 13145 */ "SVGPathSegList" "\0"
  /* 13160 */ "SVGPathSegMovetoAbs" "\0"
  /* 13180 */ "SVGPathSegMovetoRel" "\0"
  /* 13200 */ "SVGPatternElement" "\0"
  /* 13218 */ "SVGPoint" "\0"
  /* 13227 */ "SVGPointList" "\0"
  /* 13240 */ "SVGPolygonElement" "\0"
  /* 13258 */ "SVGPolylineElement" "\0"
  /* 13277 */ "SVGPreserveAspectRatio" "\0"
  /* 13300 */ "SVGRadialGradientElement" "\0"
  /* 13325 */ "SVGRect" "\0"
  /* 13333 */ "SVGRectElement" "\0"
  /* 13348 */ "SVGSVGElement" "\0"
  /* 13362 */ "SVGScriptElement" "\0"
  /* 13379 */ "SVGSetElement" "\0"
  /* 13393 */ "SVGStopElement" "\0"
  /* 13408 */ "SVGStringList" "\0"
  /* 13422 */ "SVGStyleElement" "\0"
  /* 13438 */ "SVGSwitchElement" "\0"
  /* 13455 */ "SVGSymbolElement" "\0"
  /* 13472 */ "SVGTSpanElement" "\0"
  /* 13488 */ "SVGTextContentElement" "\0"
  /* 13510 */ "SVGTextElement" "\0"
  /* 13525 */ "SVGTextPathElement" "\0"
  /* 13544 */ "SVGTextPositioningElement" "\0"
  /* 13570 */ "SVGTitleElement" "\0"
  /* 13586 */ "SVGTransform" "\0"
  /* 13599 */ "SVGTransformList" "\0"
  /* 13616 */ "SVGUnitTypes" "\0"
  /* 13629 */ "SVGUseElement" "\0"
  /* 13643 */ "SVGViewElement" "\0"
  /* 13658 */ "Sanitizer" "\0"
  /* 13668 */ "Scheduler" "\0"
  /* 13678 */ "Screen" "\0"
  /* 13685 */ "ScreenLuminance" "\0"
  /* 13701 */ "ScreenOrientation" "\0"
  /* 13719 */ "ScriptProcessorNode" "\0"
  /* 13739 */ "ScrollAreaEvent" "\0"
  /* 13755 */ "ScrollViewChangeEvent" "\0"
  /* 13777 */ "SecurityPolicyViolationEvent" "\0"
  /* 13806 */ "Selection" "\0"
  /* 13816 */ "ServiceWorker" "\0"
  /* 13830 */ "ServiceWorkerContainer" "\0"
  /* 13853 */ "ServiceWorkerGlobalScope" "\0"
  /* 13878 */ "ServiceWorkerRegistration" "\0"
  /* 13904 */ "SessionStoreFormData" "\0"
  /* 13925 */ "SessionStoreScrollData" "\0"
  /* 13948 */ "SessionStoreUtils" "\0"
  /* 13966 */ "ShadowRealmGlobalScope" "\0"
  /* 13989 */ "ShadowRoot" "\0"
  /* 14000 */ "SharedWorker" "\0"
  /* 14013 */ "SharedWorkerGlobalScope" "\0"
  /* 14037 */ "SimpleGestureEvent" "\0"
  /* 14056 */ "SourceBuffer" "\0"
  /* 14069 */ "SourceBufferList" "\0"
  /* 14086 */ "SpeechGrammar" "\0"
  /* 14100 */ "SpeechGrammarList" "\0"
  /* 14118 */ "SpeechRecognition" "\0"
  /* 14136 */ "SpeechRecognitionAlternative" "\0"
  /* 14165 */ "SpeechRecognitionError" "\0"
  /* 14188 */ "SpeechRecognitionEvent" "\0"
  /* 14211 */ "SpeechRecognitionResult" "\0"
  /* 14235 */ "SpeechRecognitionResultList" "\0"
  /* 14263 */ "SpeechSynthesis" "\0"
  /* 14279 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14305 */ "SpeechSynthesisEvent" "\0"
  /* 14326 */ "SpeechSynthesisUtterance" "\0"
  /* 14351 */ "SpeechSynthesisVoice" "\0"
  /* 14372 */ "StaticRange" "\0"
  /* 14384 */ "StereoPannerNode" "\0"
  /* 14401 */ "Storage" "\0"
  /* 14409 */ "StorageEvent" "\0"
  /* 14422 */ "StorageManager" "\0"
  /* 14437 */ "StreamFilter" "\0"
  /* 14450 */ "StreamFilterDataEvent" "\0"
  /* 14472 */ "StructuredCloneHolder" "\0"
  /* 14494 */ "StructuredCloneTester" "\0"
  /* 14516 */ "StyleSheet" "\0"
  /* 14527 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14564 */ "StyleSheetList" "\0"
  /* 14579 */ "StyleSheetRemovedEvent" "\0"
  /* 14602 */ "SubmitEvent" "\0"
  /* 14614 */ "SubtleCrypto" "\0"
  /* 14627 */ "SyncMessageSender" "\0"
  /* 14645 */ "SyncReadFile" "\0"
  /* 14658 */ "TCPServerSocket" "\0"
  /* 14674 */ "TCPServerSocketEvent" "\0"
  /* 14695 */ "TCPSocket" "\0"
  /* 14705 */ "TCPSocketErrorEvent" "\0"
  /* 14725 */ "TCPSocketEvent" "\0"
  /* 14740 */ "TaskController" "\0"
  /* 14755 */ "TaskPriorityChangeEvent" "\0"
  /* 14779 */ "TaskSignal" "\0"
  /* 14790 */ "TelemetryStopwatch" "\0"
  /* 14809 */ "TestUtils" "\0"
  /* 14819 */ "TestingDeprecatedInterface" "\0"
  /* 14846 */ "Text" "\0"
  /* 14851 */ "TextClause" "\0"
  /* 14862 */ "TextDecoder" "\0"
  /* 14874 */ "TextDecoderStream" "\0"
  /* 14892 */ "TextEncoder" "\0"
  /* 14904 */ "TextEncoderStream" "\0"
  /* 14922 */ "TextMetrics" "\0"
  /* 14934 */ "TextTrack" "\0"
  /* 14944 */ "TextTrackCue" "\0"
  /* 14957 */ "TextTrackCueList" "\0"
  /* 14974 */ "TextTrackList" "\0"
  /* 14988 */ "TimeEvent" "\0"
  /* 14998 */ "TimeRanges" "\0"
  /* 15009 */ "ToggleEvent" "\0"
  /* 15021 */ "Touch" "\0"
  /* 15027 */ "TouchEvent" "\0"
  /* 15038 */ "TouchList" "\0"
  /* 15048 */ "TrackEvent" "\0"
  /* 15059 */ "TransformStream" "\0"
  /* 15075 */ "TransformStreamDefaultController" "\0"
  /* 15108 */ "TransitionEvent" "\0"
  /* 15124 */ "TreeColumn" "\0"
  /* 15135 */ "TreeColumns" "\0"
  /* 15147 */ "TreeContentView" "\0"
  /* 15163 */ "TreeWalker" "\0"
  /* 15174 */ "UDPMessageEvent" "\0"
  /* 15190 */ "UDPSocket" "\0"
  /* 15200 */ "UIEvent" "\0"
  /* 15208 */ "URL" "\0"
  /* 15212 */ "URLSearchParams" "\0"
  /* 15228 */ "URLSearchParams Iterator" "\0"
  /* 15253 */ "UniFFIPointer" "\0"
  /* 15267 */ "UniFFIScaffolding" "\0"
  /* 15285 */ "UserActivation" "\0"
  /* 15300 */ "UserInteraction" "\0"
  /* 15316 */ "UserProximityEvent" "\0"
  /* 15335 */ "VRDisplay" "\0"
  /* 15345 */ "VRDisplayCapabilities" "\0"
  /* 15367 */ "VRDisplayEvent" "\0"
  /* 15382 */ "VREyeParameters" "\0"
  /* 15398 */ "VRFieldOfView" "\0"
  /* 15412 */ "VRFrameData" "\0"
  /* 15424 */ "VRMockController" "\0"
  /* 15441 */ "VRMockDisplay" "\0"
  /* 15455 */ "VRPose" "\0"
  /* 15462 */ "VRServiceTest" "\0"
  /* 15476 */ "VRStageParameters" "\0"
  /* 15494 */ "VTTCue" "\0"
  /* 15501 */ "VTTRegion" "\0"
  /* 15511 */ "ValidityState" "\0"
  /* 15525 */ "VideoColorSpace" "\0"
  /* 15541 */ "VideoDecoder" "\0"
  /* 15554 */ "VideoEncoder" "\0"
  /* 15567 */ "VideoFrame" "\0"
  /* 15578 */ "VideoPlaybackQuality" "\0"
  /* 15599 */ "VideoTrack" "\0"
  /* 15610 */ "VideoTrackList" "\0"
  /* 15625 */ "VisualViewport" "\0"
  /* 15640 */ "WEBGL_color_buffer_float" "\0"
  /* 15665 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15695 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15724 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15754 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15785 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15815 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15850 */ "WEBGL_debug_renderer_info" "\0"
  /* 15876 */ "WEBGL_debug_shaders" "\0"
  /* 15896 */ "WEBGL_depth_texture" "\0"
  /* 15916 */ "WEBGL_draw_buffers" "\0"
  /* 15935 */ "WEBGL_explicit_present" "\0"
  /* 15958 */ "WEBGL_lose_context" "\0"
  /* 15977 */ "WEBGL_provoking_vertex" "\0"
  /* 16000 */ "WakeLock" "\0"
  /* 16009 */ "WakeLockSentinel" "\0"
  /* 16026 */ "WaveShaperNode" "\0"
  /* 16041 */ "WebExtensionContentScript" "\0"
  /* 16067 */ "WebExtensionPolicy" "\0"
  /* 16086 */ "WebGL2RenderingContext" "\0"
  /* 16109 */ "WebGLActiveInfo" "\0"
  /* 16125 */ "WebGLBuffer" "\0"
  /* 16137 */ "WebGLContextEvent" "\0"
  /* 16155 */ "WebGLFramebuffer" "\0"
  /* 16172 */ "WebGLProgram" "\0"
  /* 16185 */ "WebGLQuery" "\0"
  /* 16196 */ "WebGLRenderbuffer" "\0"
  /* 16214 */ "WebGLRenderingContext" "\0"
  /* 16236 */ "WebGLSampler" "\0"
  /* 16249 */ "WebGLShader" "\0"
  /* 16261 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16288 */ "WebGLSync" "\0"
  /* 16298 */ "WebGLTexture" "\0"
  /* 16311 */ "WebGLTransformFeedback" "\0"
  /* 16334 */ "WebGLUniformLocation" "\0"
  /* 16355 */ "WebGLVertexArrayObject" "\0"
  /* 16378 */ "WebKitCSSMatrix" "\0"
  /* 16394 */ "WebSocket" "\0"
  /* 16404 */ "WebTransport" "\0"
  /* 16417 */ "WebTransportBidirectionalStream" "\0"
  /* 16449 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16482 */ "WebTransportError" "\0"
  /* 16500 */ "WebTransportReceiveStream" "\0"
  /* 16526 */ "WebTransportSendStream" "\0"
  /* 16549 */ "WebrtcGlobalInformation" "\0"
  /* 16573 */ "WheelEvent" "\0"
  /* 16584 */ "Window" "\0"
  /* 16591 */ "WindowClient" "\0"
  /* 16604 */ "WindowContext" "\0"
  /* 16618 */ "WindowGlobalChild" "\0"
  /* 16636 */ "WindowGlobalParent" "\0"
  /* 16655 */ "WindowRoot" "\0"
  /* 16666 */ "Worker" "\0"
  /* 16673 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16699 */ "WorkerGlobalScope" "\0"
  /* 16717 */ "WorkerLocation" "\0"
  /* 16732 */ "WorkerNavigator" "\0"
  /* 16748 */ "WorkerTestUtils" "\0"
  /* 16764 */ "Worklet" "\0"
  /* 16772 */ "WorkletGlobalScope" "\0"
  /* 16791 */ "WritableStream" "\0"
  /* 16806 */ "WritableStreamDefaultController" "\0"
  /* 16838 */ "WritableStreamDefaultWriter" "\0"
  /* 16866 */ "XMLDocument" "\0"
  /* 16878 */ "XMLHttpRequest" "\0"
  /* 16893 */ "XMLHttpRequestEventTarget" "\0"
  /* 16919 */ "XMLHttpRequestUpload" "\0"
  /* 16940 */ "XMLSerializer" "\0"
  /* 16954 */ "XPathEvaluator" "\0"
  /* 16969 */ "XPathExpression" "\0"
  /* 16985 */ "XPathResult" "\0"
  /* 16997 */ "XRBoundedReferenceSpace" "\0"
  /* 17021 */ "XRFrame" "\0"
  /* 17029 */ "XRInputSource" "\0"
  /* 17043 */ "XRInputSourceArray" "\0"
  /* 17062 */ "XRInputSourceEvent" "\0"
  /* 17081 */ "XRInputSourcesChangeEvent" "\0"
  /* 17107 */ "XRPose" "\0"
  /* 17114 */ "XRReferenceSpace" "\0"
  /* 17131 */ "XRReferenceSpaceEvent" "\0"
  /* 17153 */ "XRRenderState" "\0"
  /* 17167 */ "XRRigidTransform" "\0"
  /* 17184 */ "XRSession" "\0"
  /* 17194 */ "XRSessionEvent" "\0"
  /* 17209 */ "XRSpace" "\0"
  /* 17217 */ "XRSystem" "\0"
  /* 17226 */ "XRView" "\0"
  /* 17233 */ "XRViewerPose" "\0"
  /* 17246 */ "XRViewport" "\0"
  /* 17257 */ "XRWebGLLayer" "\0"
  /* 17270 */ "XSLTProcessor" "\0"
  /* 17284 */ "XULCommandEvent" "\0"
  /* 17300 */ "XULElement" "\0"
  /* 17311 */ "XULFrameElement" "\0"
  /* 17327 */ "XULMenuElement" "\0"
  /* 17342 */ "XULPopupElement" "\0"
  /* 17358 */ "XULResizerElement" "\0"
  /* 17376 */ "XULTextElement" "\0"
  /* 17391 */ "XULTreeElement" "\0"
  /* 17406 */ "console" "\0"
  /* 17414 */ "webkitSpeechGrammar" "\0"
  /* 17434 */ "webkitSpeechGrammarList" "\0"
  /* 17458 */ "webkitSpeechRecognition" "\0"
  /* 17482 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

